$('#inputsubmit').on('click', function() {
    $(document).ready(function() {
        $('#inputsubmit').attr("disabled", "disabled");
        var perawat_ppa = $('#inputperawat_ppa').val();
        var register = $('#inputregister').val();
        var nama = $('#inputnama').val();
        var umur = $('#inputumur').val();
        var alamat = $('#inputalamat').val();
        var jenis_kelamin = $('#jenis_kelamin').val();
        var triage = $('#triage').val();
        var nik = $('#inputnik').val();
        var kedatangan = $('#kedatangan').val();
        var tanggal = $('#tanggal').val();
        var smf = $('#smf').val();

        if (register != "" && triage != "" && nama != "") {
            $.ajax({

                url: "model/actinput.php",
                type: "POST",
                data: {
                    perawat_ppa: perawat_ppa,
                    register: register,
                    nama: nama,
                    umur: umur,
                    alamat: alamat,
                    jenis_kelamin: jenis_kelamin,
                    triage: triage,
                    nik: nik,
                    kedatangan: kedatangan,
                    tanggal: tanggal,
                    smf: smf,
                },
                cache: false,
                success: function(inputResult) {
                    var inputResult = JSON.parse(inputResult);
                    if (inputResult.statusCode == 200) {
                        $('#inputsubmit').removeAttr("disabled");
                        $('#input').find('input:text').val('');
                        $("#input").modal('hide');
                        $('#success').html('input data berhasil!');
                    } else if (inputResult.statusCode == 201) {
                        alert('input gagal. Silahkan diulang kembali!');
                        $('#success').html('input data gagal!');

                    }

                }
            })
        } else {
            alert('Silahkan Diulang Input');
            window.location.reload();
        }
        window.location.reload();
    });


});
